/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date : 2012-07-28

 File name : AD7988.c

 Description : AD7988-5 sampling and read out

 Hardware plateform : ADuC7026_DEMO_V1.2 + EVAL-AD7988-5SDZ  	
********************************************************************************/


#include "ADuC7026.h"
#include "ADuC7026Driver.h"
#include "AD7988.h"
#include "stdio.h"
 


//the function read the data register from AD7988 
void ReadFromAD7988(unsigned char SerialInterfaceMode,unsigned short int *SampleData)
{
	unsigned char Index1;
	unsigned short int  RotateData1 = 0, RotateData2 = 0;
	unsigned char Temp1,Temp2;
	
	switch (SerialInterfaceMode)
	{
	       case AD7988_MODE_3WIRE:

				ADuC7026OutputBit(AD7988_CNV, 1);
				Delay(10);
				ADuC7026OutputBit(AD7988_CNV, 0);

				for (Index1=0;Index1<16;Index1++)
				{
				    ADuC7026OutputBit(AD7988_SCK, 1); 
				    RotateData1 <<= 1;
				    Temp1 = ADuC7026InputBit(AD7988_SDO);
					ADuC7026OutputBit(AD7988_SCK, 0);
					if (Temp1 == 1)
					{
					    RotateData1 |= 1;
					}
					Delay(2);					 
				}
				*SampleData = RotateData1;
		    	break;

		   case AD7988_MODE_CHAIN :
		   	    ADuC7026OutputBit(AD7988_CNV, 1);
	            //the conversion time according to the datasheet is 9.5us for AD7988_1, 1.6us for AD7988_5
	            //the dalay time must be longer than the conversion time
	            Delay(20);

	            ADuC7026OutputBit(AD7988_SCK, 0);
	            for (Index1 = 0; Index1 < 32;Index1++)
	            {
	                 ADuC7026OutputBit(AD7988_SCK, 1);
		 
		             if(Index1 <16)
		             {
		                RotateData1 <<= 1;
			            Temp1 = ADuC7026InputBit(AD7988_SDO);
			            if (Temp1 == 1)
			            {
			                RotateData1 |= 1;
			            } 
		             }
		            else 
		             {
		 	            RotateData2 <<= 1;
			            Temp2 = ADuC7026InputBit(AD7988_SDO);
			            if (Temp2 == 1)
			            {
			               RotateData2 |= 1;
			            }
		             }
		            ADuC7026OutputBit(AD7988_SCK, 0);
	             }

	             SampleData[0] =  RotateData1;
	             SampleData[1] =  RotateData2;

	             ADuC7026OutputBit(AD7988_CNV, 0);
		         break;
	}		   	
}
