/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date : 2012-07-28

 File name : AD7988.h

 Description : AD7988-5 sampling and read out

 Hardware plateform : ADuC7026_DEMO_V1.2 + EVAL-AD7988-5SDZ  	
********************************************************************************/

#ifndef AD7988_H
#define AD7988_H

#define AD7988_CNV        0x23      //P2.3 = CONVST
#define AD7988_SCK        0x06      //P0.6 = SCLK
#define AD7988_SDO        0x46      //P4.6 = SDO


#define AD7988_MODE_3WIRE	0
#define AD7988_MODE_4WIRE	1	// not test in this project
#define AD7988_MODE_CHAIN	2

// 16bit, 5V input range, then 5000/(2^16)=0.0763mV/LSB
#define LSB_SIZE		0.0763

//AD7988 control

void ReadFromAD7988(unsigned char SerialInterfaceMode,unsigned short int *SampleData);

#endif
